=== debian/changelog ===
mongodb (1:2.6.3-0ubuntu6) vivid; urgency=medium

  * debian/rules: Fix typo to actually enable dh-systemd.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 08 Mar 2015 12:37:52 +0100

mongodb (1:2.6.3-0ubuntu5) utopic; urgency=medium

  * d/p/fix-signed-checks.patch: Fixup comparisons between signed and
    unsigned int, cause of FTBFS on previous upload. 

 -- James Page <james.page@ubuntu.com>  Fri, 15 Aug 2014 15:11:22 +0100

mongodb (1:2.6.3-0ubuntu4) utopic; urgency=medium

  * d/control: Drop dependency between mongodb->mongodb-dev which was
    dropped in 1:2.6.3-0ubuntu1. 

 -- James Page <james.page@ubuntu.com>  Tue, 12 Aug 2014 17:49:05 +0100

mongodb (1:2.6.3-0ubuntu3) utopic; urgency=medium

  * d/test/mongo-client: Use a core basic test to resolve autopkgtest
    failure.

 -- James Page <james.page@ubuntu.com>  Mon, 14 Jul 2014 09:58:39 +0100

mongodb (1:2.6.3-0ubuntu2) utopic; urgency=medium

  * d/test/mongo-client: Update test case for new location of basic
    scripting test.
  * d/p/0001-Add-option-to-disable-javascript.patch: Add matchertests.cpp to
    exclusions list if scripting is disabled, fixing FTBFS on arm64.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Jul 2014 11:20:38 +0100

mongodb (1:2.6.3-0ubuntu1) utopic; urgency=medium

  * New upstream stable release:
    - Dropped patches, included upstream:
      + 0003-All-platforms-but-Windows-find-hash-in-std-tr1.patch
      + 0008-Use-system-libstemmer.patch
      + 0011-Use-a-signed-char-to-store-BSONType-enumerations.patch
      + 0001-SERVER-12064-Atomic-operations-for-gcc-non-Intel-arc.patch
      + 0002-SERVER-12065-Support-ARM-and-AArch64-builds.patch
    - d/p/*: Refreshed/rebased remaining patches.
    - Use system provided libyaml-cpp:
      + d/control: Add libyaml-cpp-dev to BD's.
      + d/rules: Enable --with-system-yaml option.
      + d/p/fix-yaml-detection.patch: Fix detection of libyaml-cpp library.
    - d/mongodb-server.mongodb.upstart: Sync changes from upstream.
    - d/control,mongodb-dev.*: Drop mongodb-dev package; it has no reverse
      dependencies and upstream no longer install header files.
    - d/NEWS: Point users to upstream upgrade documentation for upgrades
      from 2.4 to 2.6.
  * Merge from Debian unstable.
  * d/control: BD on libv8-3.14-dev to ensure that transitioning to new v8
    versions is a explicit action due to changes in behaviour in >= 3.25
    (LP: #1295723).
  * d/mongodb-server.prerm: Dropped debug echo call from maintainer script
    (LP: #1294455).

 -- James Page <james.page@ubuntu.com>  Thu, 03 Jul 2014 09:23:46 +0100

mongodb (1:2.4.10-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add support for arm64:
      + d/control: Add arm64 to list of target architectures.
      + d/p/0001-Add-option-to-disable-javascript.patch,
        d/p/0001-SERVER-12064-Atomic-operations-for-gcc-non-Intel-arc.patch,
        d/p/0002-SERVER-12065-Support-ARM-and-AArch64-builds.patch:
        Patches to support arm64.
      + d/p/0005-ARM-support-for-ASM-operations-in-MongoDB.patch: Dropped in
        preference to above patches.
      + d/rules: Disable scripting on arm64.
    - d/p/0004-Support-ppc64el-builds.patch: Rebase on arm64 patches.
  * d/mongodb-server.postinst: Call adduser with explicit --home.

 -- James Page <james.page@ubuntu.com>  Mon, 19 May 2014 15:46:36 +0100

mongodb (1:2.4.9-1ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Apr 2014 04:19:06 +0100
