## mongodb 2.6.10

=== debian/changelog ===
mongodb (1:2.6.10-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix FTBFS: (LP: #1483400)
    - Add 00git_boost_1.56.patch: Fix "std::swap" failure with current boost.
    - Add disable-warnings.patch: Don't fail to build on "unused-variable" and
      "maybe-uninitialized" warnings (new from g++ 5).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Aug 2015 10:19:10 +0200

mongodb (1:2.6.3-0ubuntu8) wily; urgency=medium

  * No-change rebuild against libpcrecpp0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 08 Aug 2015 23:36:33 +0000

mongodb (1:2.6.3-0ubuntu7) vivid; urgency=medium

  * debian/rules: Call dh_systemd_enable for mongodb-server.mongodb.service.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 09 Mar 2015 07:15:33 +0100
