=== debian/rules ===
--- 
+++ 
@@ -61,6 +61,9 @@
 override_dh_auto_install:
 	scons $(DEB_SCONS_INSTALL)
 
+override_dh_systemd_enable:
+	dh_systemd_enable -pmongodb-server --name=mongodb
+
 override_dh_installinit:
 	dh_installinit -pmongodb-server --name=mongodb
