## mongodb 2.6.11

=== SConstruct ===
--- 
+++ 
@@ -96,7 +96,7 @@
     if type == 'choice' and not metavar:
         metavar = '[' + '|'.join(choices) + ']'
 
-    AddOption( "--" + name , 
+    AddOption( "--" + name ,
                dest=dest,
                type=type,
                nargs=nargs,
@@ -133,7 +133,7 @@
 
 def get_variant_dir():
     if has_option('variant-dir'):
-        return "#build/" + get_option('variant-dir') 
+        return "#build/" + get_option('variant-dir')
 
     substitute = lambda x: re.sub( "[:,\\\\/]" , "_" , x )
