=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Uploaders: Jérémy Lal <kapouer@melix.org>
+Uploaders: Jérémy Lal <kapouer@melix.org>,
+           Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-systemd (>= 1.5),
@@ -13,28 +14,24 @@
  libboost-program-options-dev,
  libboost-thread-dev,
  libgoogle-perftools-dev [linux-amd64 linux-i386 armhf ppc64el],
+ libyaml-cpp-dev,
  libpcap-dev,
  libpcre3-dev,
  libreadline-dev,
  libsnappy-dev,
+ libstemmer-dev,
  libssl-dev,
- libstemmer-dev,
- libv8-3.14-dev (>= 3.12) [!arm64],
- libyaml-cpp-dev,
+ libv8-dev (>= 3.12) [!arm64],
  python-pymongo,
  scons
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/collab-maint/mongodb.git
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mongodb.git
-Homepage: http://www.mongodb.org
-XS-Testsuite: autopkgtest
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mongodb.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mongodb.git/
+Homepage: https://www.mongodb.org
 
 Package: mongodb
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf ppc64el arm64
-Depends:
- mongodb-server (>= 1:2.4.1-2),
- ${misc:Depends},
- ${shlibs:Depends}
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf arm64 ppc64el
+Depends: mongodb-server (>= 1:2.4.1-2), ${misc:Depends}, ${shlibs:Depends}
 Description: object/document-oriented database (metapackage)
  MongoDB is a high-performance, open source, schema-free
  document-oriented data store that's easy to deploy, manage
@@ -52,13 +49,13 @@
  functionality are the goals for the project.
  .
  This is a convenience metapackage that depends on all the mongodb parts:
- the server and the clients.
+ the server, the clients and the development files (headers and library).
 
 Package: mongodb-server
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf ppc64el arm64
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf arm64 ppc64el
 Depends:
+ mongodb-clients,
  adduser,
- mongodb-clients,
  ${misc:Depends},
  ${shlibs:Depends}
 Replaces:
@@ -83,7 +80,7 @@
  server/load-balancer (mongos).
 
 Package: mongodb-clients
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf ppc64el arm64
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf arm64 ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
