=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)-(rc\d+)$/$1~$2/ \
http://www.mongodb.org/dl/src/ .*/mongodb-src-r(2\.6\..*)\.tar\.gz
