## mongodb 2.6.12

=== debian/changelog ===
mongodb (1:2.6.12-2ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:46:43 +0000

mongodb (1:2.6.12-2ubuntu1) yakkety; urgency=medium

  * Sync with Debian. Remaining change:
    - debian/control, debian/rules:
      + Use libv8-dev on ppc64el too since it exists in Ubuntu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2016 20:04:02 -0400

mongodb (1:2.6.12-2) unstable; urgency=medium

  * Do not use tcmalloc on ppc64el (fixes FTBFS on ppc64el).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 14 Jul 2016 15:13:57 +0300

mongodb (1:2.6.12-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * New upstream release
  * Upload to unstable
  * Fix FTBFS with GCC6 (Closes: #811606)

  [ Laszlo Boszormenyi ]
  * Bump standards to 3.9.8; no changes needed
  * Refresh hardened-build.patch

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 13 Jul 2016 12:38:13 +0300
