=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libboost-filesystem-dev,
  libboost-program-options-dev,
  libboost-thread-dev,
- libgoogle-perftools-dev [linux-amd64 linux-i386 armhf ppc64el],
+ libgoogle-perftools-dev [linux-amd64 linux-i386 armhf],
  libyaml-cpp-dev,
  libpcap-dev,
  libpcre3-dev,
@@ -24,7 +24,7 @@
  libv8-dev (>= 3.12) [!arm64],
  python-pymongo,
  scons
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mongodb.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mongodb.git/
 Homepage: https://www.mongodb.org
